Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans
Class SlaveStepCopyPartitionDistribution.SlaveStepCopy

    java.lang.Object
      org.pentaho.di.trans.SlaveStepCopyPartitionDistribution.SlaveStepCopy

All Implemented Interfaces:
  Comparable<SlaveStepCopyPartitionDistribution.SlaveStepCopy>

Enclosing class:
  SlaveStepCopyPartitionDistribution

    public class SlaveStepCopyPartitionDistribution.SlaveStepCopy

extends Object
implements Comparable<SlaveStepCopyPartitionDistribution.SlaveStepCopy>

Constructor Summary
`SlaveStepCopyPartitionDistribution.SlaveStepCopy(String slaveServerName, String partitionSchemaName, int stepCopyNr)`

Method Summary
`int` | `compareTo(SlaveStepCopyPartitionDistribution.SlaveStepCopy o)`
`boolean` | `equals(Object obj)`
`String` | `getPartitionSchemaName()`
`String` | `getSlaveServerName()`
`int` | `getStepCopyNr()`
`int` | `hashCode()`
`void` | `setSlaveServerName(String slaveServerName)`
`void` | `setStepCopyNr(int stepCopyNr)`
`void` | `setStepName(String partitionSchemaName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SlaveStepCopyPartitionDistribution.SlaveStepCopy

    public SlaveStepCopyPartitionDistribution.SlaveStepCopy(String slaveServerName,
                                                            String partitionSchemaName,
                                                            int stepCopyNr)

Parameters:
  `slaveServerName` -
  `partitionSchemaName` -
  `stepCopyNr` -

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(SlaveStepCopyPartitionDistribution.SlaveStepCopy o)

  Specified by:
    `compareTo` in interface `Comparable<SlaveStepCopyPartitionDistribution.SlaveStepCopy>`

### getSlaveServerName

    public String getSlaveServerName()

  Returns:
    the slaveServerName

### setSlaveServerName

    public void setSlaveServerName(String slaveServerName)

  Parameters:
    `slaveServerName` - the slaveServerName to set

### getPartitionSchemaName

    public String getPartitionSchemaName()

  Returns:
    the partition schema name

### setStepName

    public void setStepName(String partitionSchemaName)

  Parameters:
    `partitionSchemaName` - the partition schema name to set

### getStepCopyNr

    public int getStepCopyNr()

  Returns:
    the stepCopyNr

### setStepCopyNr

    public void setStepCopyNr(int stepCopyNr)

  Parameters:
    `stepCopyNr` - the stepCopyNr to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD